#!/usr/bin/perl
####################################################################
# (C) Copyright 2008-2011 Hewlett-Packard Development Company, L.P.
# @(#) Metrocluster XPCA Module  Script.
# @(#) Product Name                :  HP Metrocluster XPCA
# @(#) Product Version             :  A.11.00
# @(#) Patch Name                  :  PHSS_41663 (HP-UX 11iv2) / PHSS_41664 (HP-UX 11iv3)
#
# *** Note: This file MUST NOT be edited. *****
#
# Any changes made to it will be overwritten when you upgrade to the
# next release of HP Serviceguard.
#
# Changing this file may lead to unrecoverable package startup
# and/or shutdown problems.
#
###################################################################

#use lib '/opt/cmcluster/toolkit/DRS/lib';

   if(-e "/etc/redhat-release"){
        use lib '/usr/local/cmcluster/toolkit/DRS/lib';
   } else {
     use lib '/opt/cmcluster/toolkit/DRS/lib';
   }

use XP_ED;
my @disk;

my $dg_name = $ARGV[0];
shift @ARGV;

foreach $arg(@ARGV) {
push(@disk,$arg);
}
my $device_group;

my($rep_disks1,$non_rep_disks1) = XP_ED::get_replicated_and_non_replicated_disks(@disk);
my @non_rep_disks = @$non_rep_disks1;
my @rep_disks = @$rep_disks1;
my ($params,$device) = XP_ED::do_parameter_discovery(@rep_disks);
$device_group = $params->{'DEVICE_GROUP'};

if( !$XP_ED::error || $XP_ED::error == 10 ) {
if( scalar(@non_rep_disks) == 0 ) {
  print $device_group, "\n";
  exit 0;
}elsif( scalar(@rep_disks != 0 )) {
  if( $device_group eq $dg_name ){
  print "The following disks belong to $device_group and are replicated \n";
  foreach $pd(@rep_disks) {
  print $pd, "\n";
  }
  print "The following disks do not belong to any device group \n";
  foreach $pd(@non_rep_disks) {
  print $pd, "\n";
  }
  exit 3;
 } else {
  print "The device group name found is $device_group \n";
  print "The disks belonging to $device_group are :\n";
  foreach $pd(@rep_disks) {
  print $pd, "\n";
  }
  exit 2;
  }

}
else {
foreach $pd(@non_rep_disks) {
print $pd, "\n";
}
exit 1;
}
}else
{
 print "Error: Validation failed with the following message \n";
 print $XP_ED::error_map->{$XP_ED::error} , "\n";
 exit 4;
}

